Subject: bug#54562: 28.0.91; Emoji sequence not composed

From: Robert Pluim <[email-masked]>
Date: Mon, 28 Mar 2022 16:59:16 +0200

>>>>> On Mon, 28 Mar 2022 16:12:06 +0300, Eli Zaretskii <[email-masked]> said:

    Eli> I wasn't talking specifically about U+0308, I was talking about
    Eli> combining diacritics in general.  Some newer ones could be missing
    Eli> from fonts that otherwise cover Latin character sets.

Andreas indicates that missing glyphs is an issue. I think a user
option (default 'off') would be in order.

    >> +static bool
    >> +codepoint_is_combining_lookup_eligible (int ch)
    >> +{
    >> +  if ((0x20D0 <= ch && ch <= 0x20FF) || ch == 0x308)
    >> +    return true;
    >> +  return false;
    >> +}

    Eli> Any reason not to use the Unicode category here?  Or do we want to
    Eli> support only specific characters (in which case U+0308 is still not
    Eli> the only one)?

You'd want to apply this to everything in Mn? Thatʼs a lot of
codepoints. Or did you mean Me? Or anything in Mn thatʼs latin? The
possibilities are endless :-)

Robert
--